// ALL RIGHTS RESERVED:
// ====================
// The contents of this file, and associated files in this directory, are 
// Copyright (C) SPT , all rights reserved, 2009.
// All software Source Code, Images, Database-Design and code, Graphics Design 
// and source files, and related content (collectively referred to as SOURCE) are 
// Copyright (c) SPT, 2009, All Rights Reserved.
// http://SerialPortTool.com

// PTZ Controller is a Registered Trademark of SerialPortTool.com.
using System;
using System.Xml;
using System.Data;
using System.Text;
using System.Drawing;
using System.Diagnostics;
using System.Windows.Forms;
using System.ComponentModel;
using System.Xml.Serialization;
using System.Collections.Generic;
using System.Runtime.InteropServices;

using Spt.Share.Controls;

namespace PTZController
{
    [XmlRoot("Panel")]
    public partial class PanelForm : SkinForm
    {
        public PanelForm()
        {
            InitializeComponent();
        }

        private void MenuForm_Load(object sender, EventArgs e)
        {
            ApplyStyle();

        }

       public string Caption
        {
            get
            {
                return titleLabel.Text;

            }
            set
            {
                titleLabel.Text = value;
            }
        }

        private void closeButton_Click(object sender, EventArgs e)
        {
            HandleClose();
        }

        private void titleLabel_MouseDown(object sender, MouseEventArgs e)
        {
            base.OnMouseDown(e);
        }

        protected virtual void HandleClose()
        {
            Visible = false;
        }

        private void helpButton_Click(object sender, EventArgs e)
        {
        }
    }
}